## mirrormagic 3.0.0+dfsg2

=== Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2015 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

# command name of your favorite ANSI C compiler
# (this must be set to "cc" for some systems)
CC = gcc

# command name of GNU make on your system
# (this must be set to "gmake" for some systems)
MAKE = make

# directory for read-only game data (like graphics, sounds, levels)
# (this directory is usually the game's installation directory)
# default is '.' to be able to run program without installation
# RO_GAME_DIR = .
# use the following setting for Debian / Ubuntu installations:
# RO_GAME_DIR = /usr/share/games/rocksndiamonds

# directory for writable game data (like highscore files)
# (if no "scores" directory exists, scores are saved in user data directory)
# default is '.' to be able to run program without installation
# RW_GAME_DIR = .
# use the following setting for Debian / Ubuntu installations:
# RW_GAME_DIR = /var/games/rocksndiamonds

# uncomment if system has no joystick include file
# JOYSTICK = -DNO_JOYSTICK

# path for cross-compiling (only needed for non-native Windows build)
CROSS_PATH_WIN32 = /usr/local/cross-tools/i386-mingw32msvc


# -----------------------------------------------------------------------------
# there should be no need to change anything below
# -----------------------------------------------------------------------------

.EXPORT_ALL_VARIABLES:

SRC_DIR = src
ANDROID_DIR ?= android

MAKE_CMD = $(MAKE) -C $(SRC_DIR)
MAKE_CMD_ANDROID = $(MAKE) -C $(ANDROID_DIR)


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all:
	@$(MAKE_CMD)

sdl:
	@$(MAKE_CMD) TARGET=sdl

sdl2:
	@$(MAKE_CMD) TARGET=sdl2

mac:
	@$(MAKE_CMD) PLATFORM=macosx

cross-win32:
	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32

android-compile:
	@$(MAKE_CMD_ANDROID) compile

android-package:
	@$(MAKE_CMD_ANDROID) package

android-install:
	@$(MAKE_CMD_ANDROID) install

android-assets-toc:
	@$(MAKE_CMD_ANDROID) assets-toc

android-clean:
	@$(MAKE_CMD_ANDROID) clean

android: android-package

clean:
	@$(MAKE_CMD) clean

clean-git:
	@$(MAKE_CMD) clean-git

clean-android: android-clean


# -----------------------------------------------------------------------------
# development targets
# -----------------------------------------------------------------------------

MAKE_ENGINETEST = ./Scripts/make_enginetest.sh
MAKE_LEVELSKETCH = ./Scripts/make_levelsketch_images.sh

auto-conf:
	@$(MAKE_CMD) auto-conf

run: all
	@$(MAKE_CMD) run

gdb: all
	@$(MAKE_CMD) gdb

valgrind: all
	@$(MAKE_CMD) valgrind

tags:
	$(MAKE_CMD) tags

depend dep:
	$(MAKE_CMD) depend

enginetest: all
	$(MAKE_ENGINETEST)

enginetestcustom: all
	$(MAKE_ENGINETEST) custom

enginetestfast: all
	$(MAKE_ENGINETEST) fast

enginetestnew: all
	$(MAKE_ENGINETEST) new

leveltest: all
	$(MAKE_ENGINETEST) leveltest

levelsketch_images: all
	$(MAKE_LEVELSKETCH)


# -----------------------------------------------------------------------------
# distribution targets
# -----------------------------------------------------------------------------

MAKE_DIST = ./Scripts/make_dist.sh

dist-clean:
	@$(MAKE_CMD) dist-clean

dist-clean-android:
	@$(MAKE_CMD_ANDROID) dist-clean

dist-build-unix:
	@BUILD_DIST=TRUE $(MAKE)

dist-build-win32:
	@BUILD_DIST=TRUE $(MAKE) cross-win32

dist-build-macosx:
	@BUILD_DIST=TRUE $(MAKE)

dist-build-android:
	@BUILD_DIST=TRUE $(MAKE) android

dist-package-unix:
	$(MAKE_DIST) package unix

dist-package-win32:
	$(MAKE_DIST) package win

dist-package-macosx:
	$(MAKE_DIST) package mac

dist-package-android:
	$(MAKE_DIST) package android

dist-copy-package-unix:
	$(MAKE_DIST) copy-package unix

dist-copy-package-win32:
	$(MAKE_DIST) copy-package win

dist-copy-package-macosx:
	$(MAKE_DIST) copy-package mac

dist-copy-package-android:
	$(MAKE_DIST) copy-package android

dist-upload-unix:
	$(MAKE_DIST) upload unix

dist-upload-win32:
	$(MAKE_DIST) upload win

dist-upload-macosx:
	$(MAKE_DIST) upload mac

dist-upload-android:
	$(MAKE_DIST) upload android

dist-package-all:
	$(MAKE) dist-package-unix
	$(MAKE) dist-package-win32
	$(MAKE) dist-package-macosx
	$(MAKE) dist-package-android

dist-copy-package-all:
	$(MAKE) dist-copy-package-unix
	$(MAKE) dist-copy-package-win32
	$(MAKE) dist-copy-package-macosx
	$(MAKE) dist-copy-package-android

dist-upload-all:
	$(MAKE) dist-upload-unix
	$(MAKE) dist-upload-win32
	$(MAKE) dist-upload-macosx
	$(MAKE) dist-upload-android

dist-release-all: dist-package-all dist-copy-package-all dist-upload-all

package-all: dist-package-all

copy-package-all: dist-copy-package_all

upload-all: dist-upload-all

release-all: dist-release-all

=== src/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2015 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# src/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

.EXPORT_ALL_VARIABLES:

ifndef PLATFORM				# unknown platform -- default to Unix
PLATFORM = unix
endif

AR = ar
RANLIB = ranlib
ETAGS = etags
RM = rm -f

CONVERT = convert
WINDRES = windres

CONVERT_ICON_ARGS = -transparent black -background transparent

PROGBASE = rocksndiamonds
PROGNAME = ../$(PROGBASE)

EDITION ?= default


# -----------------------------------------------------------------------------
# configuring platform
# -----------------------------------------------------------------------------

ifeq ($(PLATFORM),macosx)		# compiling on Mac OS X
EXTRA_LDFLAGS = -lstdc++
override PLATFORM = unix
endif

ifeq ($(PLATFORM),unix)			# compiling on Unix/Linux (generic)
PROFILING_FLAGS = -pg
endif

ifeq ($(PLATFORM),cross-win32)		# cross-compiling to Windows
PROGNAME = ../$(PROGBASE).exe
EXTRA_LDFLAGS = -lshfolder -lwsock32
endif


# -----------------------------------------------------------------------------
# configuring target
# -----------------------------------------------------------------------------

ifndef TARGET				# auto-detect compiling for SDL or SDL2
  SDL_VERSION := $(shell sdl2-config --version 2> /dev/null)
  ifdef SDL_VERSION
    TARGET = sdl2
  else
    SDL_VERSION := $(shell sdl-config --version 2> /dev/null)
    ifdef SDL_VERSION
      TARGET = sdl
    else
      $(error SDL/SDL2 library not found)
    endif
  endif
endif

# $(info Using SDL version $(SDL_VERSION) [TARGET == $(TARGET)])

ifeq ($(TARGET),sdl)			# compiling for SDL target
SYS_CFLAGS = -DTARGET_SDL $(shell sdl-config --cflags)
SDL_LIBS = -lSDL_image -lSDL_mixer -lSDL_net
SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl-config --libs)
endif

ifeq ($(TARGET),sdl2)			# compiling for SDL2 target
SYS_CFLAGS = -DTARGET_SDL2 $(shell sdl2-config --cflags)
SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_net
SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl2-config --libs)
endif


# -----------------------------------------------------------------------------
# configuring compile-time definitions
# -----------------------------------------------------------------------------

ifdef RO_GAME_DIR			# path to read-only game data specified
CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
endif

ifdef RW_GAME_DIR			# path to writable game data specified
CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
endif

CONFIG = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR) $(JOYSTICK)

DEBUG = -DDEBUG -g

# PROFILING = $(PROFILING_FLAGS)

# OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
# OPTIONS = $(DEBUG) -O3 -Wall			# only for debugging purposes
OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
# OPTIONS = $(DEBUG) -Wall -ansi -pedantic	# only for debugging purposes
# OPTIONS = -O3 -Wall -ansi -pedantic
# OPTIONS = -O3 -Wall
# OPTIONS = -O3

ifdef BUILD_DIST			# distribution build
SYS_LDFLAGS := $(shell echo $(SYS_LDFLAGS) |	\
		       sed -e "s%-rpath,[^ ]*%-rpath,'\$$ORIGIN/lib'%")
OPTIONS = -O3 -Wall
endif

CFLAGS = $(OPTIONS) $(SYS_CFLAGS)  $(EXTRA_CFLAGS) $(CONFIG)
LDFLAGS =           $(SYS_LDFLAGS) $(EXTRA_LDFLAGS) -lm


SRCS =	main.c		\
	conf_gfx.c	\
	conf_snd.c	\
	conf_mus.c	\
	conf_hlp.c	\
	init.c		\
	config.c	\
	events.c	\
	tools.c		\
	screens.c	\
	game.c		\
	editor.c	\
	files.c		\
	tape.c		\
	anim.c		\
	network.c	\
	netserv.c

OBJS =	main.o		\
	conf_gfx.o	\
	conf_snd.o	\
	conf_mus.o	\
	conf_hlp.o	\
	init.o		\
	config.o	\
	events.o	\
	tools.o		\
	screens.o	\
	game.o		\
	editor.o	\
	files.o		\
	tape.o		\
	anim.o		\
	network.o	\
	netserv.o

CNFS =	conf_gfx.h	\
	conf_snd.h	\
	conf_mus.h	\
	conf_chr.c	\
	conf_chr.h	\
	conf_cus.c	\
	conf_cus.h	\
	conf_grp.c	\
	conf_grp.h	\
	conf_e2g.c	\
	conf_esg.c	\
	conf_e2s.c	\
	conf_fnt.c	\
	conf_g2s.c	\
	conf_g2m.c	\
	conf_var.c	\
	conf_act.c

CNFS_CMD = ../build-scripts/create_element_defs.pl

TIMESTAMP_FILE = conftime.h
TIMESTAMP_FORMAT = %Y-%m-%d %H:%M

# use SOURCE_DATE_EPOCH, or else last Git commit date, or else current date
SOURCE_DATE_EPOCH ?= $(shell test -d ../.git && test `git ls-files -m | wc -l` -eq 0 && git show -s --format=%ct || date +%s)

# get source date string from either GNU / Linux or BSD / Mac OS X style "date"
SOURCE_DATE_STRING := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)"  2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)" 2>/dev/null || date -u "+$(TIMESTAMP_FORMAT)")

LIBGAME_DIR = libgame
LIBGAME = $(LIBGAME_DIR)/libgame.a

GAME_EM_DIR = game_em
GAME_EM = $(GAME_EM_DIR)/game_em.a

GAME_SP_DIR = game_sp
GAME_SP = $(GAME_SP_DIR)/game_sp.a

GAME_MM_DIR = game_mm
GAME_MM = $(GAME_MM_DIR)/game_mm.a

RNDLIBS = $(LIBGAME) $(GAME_EM) $(GAME_SP) $(GAME_MM)
AUTOCONF = conf_gfx.h conf_snd.h conf_mus.h

ICONBASE = windows_icon
ICON_BASEPATH = ../Special/Icons/windows_icons

ifeq ($(PLATFORM),cross-win32)
ICON_PATH = $(ICON_BASEPATH)/$(EDITION)
ICON = $(ICONBASE).o
endif

GRAPHICS_DIR = ../graphics


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(AUTOCONF) libgame_dir game_em_dir game_sp_dir game_mm_dir $(PROGNAME) graphics_dir

$(PROGNAME): $(RNDLIBS) $(TIMESTAMP_FILE) $(OBJS) $(ICON)
	$(CC) $(PROFILING) $(OBJS) $(ICON) $(RNDLIBS) $(LDFLAGS) -o $(PROGNAME)
ifdef BUILD_DIST
	strip $(PROGNAME)
endif

libgame_dir:
	@$(MAKE) -C $(LIBGAME_DIR)
$(LIBGAME):
	@$(MAKE) -C $(LIBGAME_DIR)

game_em_dir:
	@$(MAKE) -C $(GAME_EM_DIR)
$(GAME_EM):
	@$(MAKE) -C $(GAME_EM_DIR)

game_sp_dir:
	@$(MAKE) -C $(GAME_SP_DIR)
$(GAME_SP):
	@$(MAKE) -C $(GAME_SP_DIR)

game_mm_dir:
	@$(MAKE) -C $(GAME_MM_DIR)
$(GAME_MM):
	@$(MAKE) -C $(GAME_MM_DIR)

auto-conf:
	@for i in $(CNFS); do			\
		echo "$(CNFS_CMD) $$i > $$i";	\
		$(CNFS_CMD) $$i > $$i;		\
	done

auto-conf-clean:
	@for i in $(CNFS); do			\
		echo "$(RM) $$i";		\
		$(RM) $$i;			\
	done

conf_gfx.h: conf_gfx.c $(CNFS_CMD)
	@$(MAKE) auto-conf

conf_snd.h: conf_snd.c $(CNFS_CMD)
	@$(MAKE) auto-conf

conf_mus.h: conf_mus.c $(CNFS_CMD)
	@$(MAKE) auto-conf

$(TIMESTAMP_FILE): $(SRCS) $(RNDLIBS)
	@echo '#define SOURCE_DATE_STRING "$(SOURCE_DATE_STRING)"' \
	> $(TIMESTAMP_FILE)

$(ICON):
#	$(CONVERT) $(ICON32X32) $(CONVERT_ICON_ARGS) $(ICONBASE).ico
	$(CONVERT) $(ICON_PATH)/*.png $(CONVERT_ICON_ARGS) $(ICONBASE).ico
	echo "$(ICONBASE) ICON $(ICONBASE).ico" | $(WINDRES) -o $(ICON)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

graphics_dir:
	@test -f $(GRAPHICS_DIR)/Makefile && $(MAKE) -C $(GRAPHICS_DIR) || true

clean-obj:
	$(MAKE) -C $(LIBGAME_DIR) clean
	$(MAKE) -C $(GAME_EM_DIR) clean
	$(MAKE) -C $(GAME_SP_DIR) clean
	$(MAKE) -C $(GAME_MM_DIR) clean
	$(RM) $(OBJS)
	$(RM) $(RNDLIBS)

clean-ico:
	$(RM) $(ICONBASE).ico
	$(RM) $(ICONBASE).o

clean-bin:
	$(RM) $(PROGNAME)
	$(RM) ../*.exe

clean: clean-obj clean-ico clean-bin

clean-git: clean auto-conf-clean
	@$(MAKE) -C $(GRAPHICS_DIR) clean

dist-clean: clean-obj clean-ico


# -----------------------------------------------------------------------------
# run and test targets
# -----------------------------------------------------------------------------

run:
	cd .. && ./$(PROGBASE) --verbose

gdb:
	cd .. && gdb -batch -x GDB_COMMANDS ./$(PROGBASE)

valgrind:
	cd .. && valgrind -v --leak-check=yes ./$(PROGBASE) 2> valgrind.out


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

tags:
	$(ETAGS) *.[ch] $(LIBGAME_DIR)/*.[ch] $(GAME_EM_DIR)/*.[ch] $(GAME_SP_DIR)/*.[ch] $(GAME_MM_DIR)/*.[ch]

depend:
	$(MAKE) -C $(LIBGAME_DIR) depend
	$(MAKE) -C $(GAME_EM_DIR) depend
	$(MAKE) -C $(GAME_SP_DIR) depend
	$(MAKE) -C $(GAME_MM_DIR) depend
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== src/game_mm/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1989-2017 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# The native Mirror Magic game engine is based on:
# - Mirror Magic II by Holger Schemel (Linux/DOS/Windows version, 1995)
# - Mindbender by Holger Schemel (Amiga version, 1989)
# -----------------------------------------------------------------------------
# src/game_mm/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	mm_init.c		\
	mm_main.c		\
	mm_game.c		\
	mm_files.c		\
	mm_tools.c

OBJS =	mm_init.o		\
	mm_main.o		\
	mm_game.o		\
	mm_files.o		\
	mm_tools.o

GAME_MM = game_mm.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(GAME_MM)

$(GAME_MM): $(OBJS)
	$(AR) cru $(GAME_MM) $(OBJS)
	$(RANLIB) $(GAME_MM)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(GAME_MM)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== src/game_sp/Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2014 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  http://www.artsoft.org/
# -----------------------------------------------------------------------------
# The native Supaplex game engine is based on:
# - MegaPlex version 0.5 beta release xmas 2001 by Frank Schindler
# - Speed Fix 6.3+ by Herman Perk
# - Supaplex by Michael Stopp & Philip Jespersen
# -----------------------------------------------------------------------------
# src/game_sp/Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

SRCS =	init.c			\
	file.c			\
	main.c			\
	vb_lib.c		\
				\
	ASM.c			\
	BugsTerminals.c		\
	DDScrollBuffer.c	\
	DDSpriteBuffer.c	\
	Display.c		\
	DoGameStuff.c		\
	Electrons.c		\
	Explosions.c		\
	Globals.c		\
	Infotrons.c		\
	InitGameConditions.c	\
	Input.c			\
	MainForm.c		\
	MainGameLoop.c		\
	Murphy.c		\
	OrangeDisk.c		\
	SnikSnaks.c		\
	Sound.c			\
	Zonk.c

OBJS =	init.o			\
	file.o			\
	main.o			\
	vb_lib.o		\
				\
	ASM.o			\
	BugsTerminals.o		\
	DDScrollBuffer.o	\
	DDSpriteBuffer.o	\
	Display.o		\
	DoGameStuff.o		\
	Electrons.o		\
	Explosions.o		\
	Globals.o		\
	Infotrons.o		\
	InitGameConditions.o	\
	Input.o			\
	MainForm.o		\
	MainGameLoop.o		\
	Murphy.o		\
	OrangeDisk.o		\
	SnikSnaks.o		\
	Sound.o			\
	Zonk.o

GAME_SP = game_sp.a


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all: $(GAME_SP)

$(GAME_SP): $(OBJS)
	$(AR) cru $(GAME_SP) $(OBJS)
	$(RANLIB) $(GAME_SP)

.c.o:
	$(CC) $(PROFILING) $(CFLAGS) -c $*.c

clean:
	$(RM) $(OBJS)
	$(RM) $(GAME_SP)


# -----------------------------------------------------------------------------
# development only
# -----------------------------------------------------------------------------

depend:
	for i in $(SRCS); do $(CPP) $(CFLAGS) -M $$i; done > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
mirrormagic (3.0.0+dfsg2-2) unstable; urgency=medium

  * apply -fcommon build flag via DEB_flag_MAINT_APPEND to support
    build on gcc-10 (handle redefinitions of common variables).
    Closes: #957544.
  * mark mirrormagic-data as Multi-Arch: foreign
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13
    [Build-Depends: debhelper-compat (= 13)]
  * remove package handling of old v1.3 highscore files
    (non-UTF-8 translations were upsetting lintian)

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 Jul 2020 16:39:52 +0800

=== debian/control ===
Source: mirrormagic
Section: games
Priority: optional
Maintainer: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev
Standards-Version: 4.5.0
Homepage: http://www.artsoft.org/mirrormagic/
Vcs-Git: https://salsa.debian.org/games-team/mirrormagic.git
Vcs-Browser: https://salsa.debian.org/games-team/mirrormagic

Package: mirrormagic
Architecture: any
Depends: mirrormagic-data, ${shlibs:Depends}, ${misc:Depends}
Conflicts: suidmanager (<< 0.50)
Description: Shoot around obstacles to collect energy using your beam.
 A game like "Deflektor" (C 64) or "Mindbender" (Amiga).
 The goal is to work out how to get around obstacles to shoot
 energy containers with your beam, enabling the path to the
 next level to be opened. Included are many levels known from
 the games "Deflektor" and "Mindbender".
 .
 Some features:
        - stereo sound effects and music
        - music module support for SDL version (Unix/Win32)
        - fullscreen support for SDL version (Unix/Win32)
        - complete source code included under GNU GPL

Package: mirrormagic-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: suidmanager (<< 0.50), mirrormagic (<< 2.0.2-4)
Description: Data files for mirrormagic
 This package provides the architecture-independent data files (images,
 levels, sound samples) for mirrormagic.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_CFLAGS_MAINT_APPEND = -fcommon

# main packaging script based on dh7 syntax
%:
	dh $@ 

# src/Makefile sets PROGBASE=rocksndiamonds, yet builds with the mirrormagic skin!
override_dh_auto_build:
	dh_auto_build -- PROGBASE=mirrormagic \
			RO_GAME_DIR=/usr/share/games/mirrormagic \
			RW_GAME_DIR=/var/games/mirrormagic \
			EXTRA_CFLAGS="$(CFLAGS)" \
			EXTRA_LDFLAGS="$(LDFLAGS)"

override_dh_fixperms-arch:
	dh_fixperms
# dh_fixperms ought to recognise games and set permissions accordingly,
# but it doesn't.
	chown root:games debian/mirrormagic/usr/games/mirrormagic
	chmod g+s debian/mirrormagic/usr/games/mirrormagic
	chown -R root:games debian/mirrormagic/var/games/mirrormagic
# need group write permission to record high scores in /var/games/mirrormagic
	chmod -R g+rws debian/mirrormagic/var/games/mirrormagic

## mirrormagic 3.1.0+dfsg1

=== Makefile ===
# =============================================================================
# Rocks'n'Diamonds - McDuffin Strikes Back!
# -----------------------------------------------------------------------------
# (c) 1995-2015 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  https://www.artsoft.org/
# -----------------------------------------------------------------------------
# Makefile
# =============================================================================

# -----------------------------------------------------------------------------
# configuration
# -----------------------------------------------------------------------------

# command name of your favorite ANSI C compiler
# (this must be set to "cc" for some systems)
CC = gcc

# command name of GNU make on your system
# (this must be set to "gmake" for some systems)
MAKE = make

# directory for (read-only) game data (like graphics, sounds, levels)
# (this directory is usually the game's installation directory)
# default is '.' to be able to run program without installation
# BASE_PATH = .
# use the following setting for Debian / Ubuntu installations:
# BASE_PATH = /usr/share/games/rocksndiamonds

# uncomment if system has no joystick include file
# JOYSTICK = -DNO_JOYSTICK

# path for cross-compiling (only needed for non-native Windows build)
CROSS_PATH_WIN32 = /usr/local/cross-tools/i686-w64-mingw32
CROSS_PATH_WIN64 = /usr/local/cross-tools/x86_64-w64-mingw32


# -----------------------------------------------------------------------------
# there should be no need to change anything below
# -----------------------------------------------------------------------------

.EXPORT_ALL_VARIABLES:

SRC_DIR = src
ANDROID_DIR ?= build-projects/android

MAKE_CMD = $(MAKE) -C $(SRC_DIR)
MAKE_CMD_ANDROID = $(MAKE) -C $(ANDROID_DIR)


# -----------------------------------------------------------------------------
# build targets
# -----------------------------------------------------------------------------

all:
	@$(MAKE_CMD)

cross-win32:
	@PATH=$(CROSS_PATH_WIN32)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win32

cross-win64:
	@PATH=$(CROSS_PATH_WIN64)/bin:${PATH} $(MAKE_CMD) PLATFORM=cross-win64

android-prepare:
	@$(MAKE_CMD_ANDROID) prepare

android-package:
	@$(MAKE_CMD_ANDROID) package

android-clean:
	@$(MAKE_CMD_ANDROID) clean

android: android-package

emscripten:
	@emmake $(MAKE_CMD) PLATFORM=emscripten

clean:
	@$(MAKE_CMD) clean

clean-git:
	@$(MAKE_CMD) clean-git

clean-android: android-clean


# -----------------------------------------------------------------------------
# development targets
# -----------------------------------------------------------------------------

MAKE_ENGINETEST = ./tests/enginetest/enginetest.sh
MAKE_LEVELSKETCH = ./Scripts/make_levelsketch_images.sh

auto-conf:
	@$(MAKE_CMD) auto-conf

conf-time:
	@$(MAKE_CMD) conf-time

conf-hash:
	@$(MAKE_CMD) conf-hash

run: all
	@$(MAKE_CMD) run

gdb: all
	@$(MAKE_CMD) gdb

valgrind: all
	@$(MAKE_CMD) valgrind

tags:
	$(MAKE_CMD) tags

depend dep:
	$(MAKE_CMD) depend

enginetest: all
	$(MAKE_ENGINETEST)

levelsketch_images: all
	$(MAKE_LEVELSKETCH)


# -----------------------------------------------------------------------------
# distribution targets
# -----------------------------------------------------------------------------

MAKE_DIST = ./Scripts/make_dist.sh

dist-clean:
	@$(MAKE_CMD) dist-clean

dist-clean-android:
	@$(MAKE_CMD_ANDROID) dist-clean

dist-build-linux:
	@BUILD_DIST=TRUE $(MAKE)

dist-build-win32:
	@BUILD_DIST=TRUE $(MAKE) cross-win32

dist-build-win64:
	@BUILD_DIST=TRUE $(MAKE) cross-win64

dist-build-mac:
	@BUILD_DIST=TRUE $(MAKE)

dist-build-android:
	@BUILD_DIST=TRUE $(MAKE) android

dist-build-emscripten:
	@BUILD_DIST=TRUE $(MAKE) emscripten

dist-package-linux:
	$(MAKE_DIST) package linux

dist-package-win32:
	$(MAKE_DIST) package win32

dist-package-win64:
	$(MAKE_DIST) package win64

dist-package-mac:
	$(MAKE_DIST) package mac

dist-package-android:
	$(MAKE_DIST) package android

dist-package-emscripten:
	$(MAKE_DIST) package emscripten

dist-copy-package-linux:
	$(MAKE_DIST) copy-package linux

dist-copy-package-win32:
	$(MAKE_DIST) copy-package win32

dist-copy-package-win64:
	$(MAKE_DIST) copy-package win64

dist-copy-package-mac:
	$(MAKE_DIST) copy-package mac

dist-copy-package-android:
	$(MAKE_DIST) copy-package android

dist-copy-package-emscripten:
	$(MAKE_DIST) copy-package emscripten

dist-upload-linux:
	$(MAKE_DIST) upload linux

dist-upload-win32:
	$(MAKE_DIST) upload win32

dist-upload-win64:
	$(MAKE_DIST) upload win64

dist-upload-mac:
	$(MAKE_DIST) upload mac

dist-upload-android:
	$(MAKE_DIST) upload android

dist-upload-emscripten:
	$(MAKE_DIST) upload emscripten

dist-deploy-emscripten:
	$(MAKE_DIST) deploy emscripten

dist-package-all:
	$(MAKE) dist-package-linux
	$(MAKE) dist-package-win32
	$(MAKE) dist-package-win64
	$(MAKE) dist-package-mac
	$(MAKE) dist-package-android
	$(MAKE) dist-package-emscripten

dist-copy-package-all:
	$(MAKE) dist-copy-package-linux
	$(MAKE) dist-copy-package-win32
	$(MAKE) dist-copy-package-win64
	$(MAKE) dist-copy-package-mac
	$(MAKE) dist-copy-package-android
	$(MAKE) dist-copy-package-emscripten

dist-upload-all:
	$(MAKE) dist-upload-linux
	$(MAKE) dist-upload-win32
	$(MAKE) dist-upload-win64
	$(MAKE) dist-upload-mac
	$(MAKE) dist-upload-android
	$(MAKE) dist-upload-emscripten

dist-deploy-all:
	$(MAKE) dist-deploy-emscripten

dist-release-all: dist-package-all dist-copy-package-all dist-upload-all

package-all: dist-package-all

copy-package-all: dist-copy-package-all

upload-all: dist-upload-all

deploy-all: dist-deploy-all

release-all: dist-release-all

=== debian/changelog ===
mirrormagic (3.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - change RO_GAME_DIR to BASE_PATH (i.e. /usr/share/games/mirrormagic)
    - RW_GAME_DIR is no longer used (games scores are now written to
      ~/.mirrormagic in user homedir)
  * update debian/watch to specify linux in tarball name (not version)
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Dec 2022 15:49:38 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,7 @@
 # src/Makefile sets PROGBASE=rocksndiamonds, yet builds with the mirrormagic skin!
 override_dh_auto_build:
 	dh_auto_build -- PROGBASE=mirrormagic \
-			RO_GAME_DIR=/usr/share/games/mirrormagic \
-			RW_GAME_DIR=/var/games/mirrormagic \
+			BASE_PATH=/usr/share/games/mirrormagic \
 			EXTRA_CFLAGS="$(CFLAGS)" \
 			EXTRA_LDFLAGS="$(LDFLAGS)"

## mirrormagic 3.3.0+dfsg1

=== src/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # (c) 1995-2015 by Artsoft Entertainment
 #                  Holger Schemel
 #                  info@artsoft.org
-#                  http://www.artsoft.org/
+#                  https://www.artsoft.org/
 # -----------------------------------------------------------------------------
 # src/Makefile
 # =============================================================================
@@ -17,11 +17,21 @@
 
 ifndef PLATFORM				# unknown platform -- default to Unix
 PLATFORM = unix
+endif
+
+PLATFORM_BASE = $(PLATFORM)
+
+ifeq ($(PLATFORM),cross-win32)
+PLATFORM_BASE = cross-win
+endif
+ifeq ($(PLATFORM),cross-win64)
+PLATFORM_BASE = cross-win
 endif
 
 AR = ar
 RANLIB = ranlib
 ETAGS = etags
+STRIP = strip
 RM = rm -f
 
 CONVERT = convert
@@ -29,61 +39,82 @@
 
 CONVERT_ICON_ARGS = -transparent black -background transparent
 
+DEBUGGER = gdb -batch -ex "run" -ex "bt"
+
 PROGBASE = rocksndiamonds
 PROGNAME = ../$(PROGBASE)
 
-EDITION ?= default
-
 
 # -----------------------------------------------------------------------------
 # configuring platform
 # -----------------------------------------------------------------------------
-
-ifeq ($(PLATFORM),macosx)		# compiling on Mac OS X
-EXTRA_LDFLAGS = -lstdc++
-override PLATFORM = unix
-endif
 
 ifeq ($(PLATFORM),unix)			# compiling on Unix/Linux (generic)
 PROFILING_FLAGS = -pg
 endif
 
-ifeq ($(PLATFORM),cross-win32)		# cross-compiling to Windows
+ifeq ($(PLATFORM_BASE),cross-win)	# cross-compiling to Windows
 PROGNAME = ../$(PROGBASE).exe
 EXTRA_LDFLAGS = -lshfolder -lwsock32
 endif
 
+ifeq ($(PLATFORM),emscripten)		# compiling with Emscripten
+PROGNAME = ../$(PROGBASE).js
+DATA_FILE = $(PROGBASE).data
+CC = emcc
+AR = emar
+RANLIB = emranlib
+STRIP = true
+FILE_PACKAGER = file_packager
+endif
+
+ifeq ($(shell uname -s),Darwin)		# compiling on Mac OS X
+DEBUGGER = lldb --batch -o "run" -k "bt" -k "quit"
+SANITIZING_FLAGS = -fsanitize=undefined
+ifdef BUILD_DIST			# distribution build
+MAC_TARGET_VERSION_MIN = 10.7
+EXTRA_FLAGS_MAC = -mmacosx-version-min=$(MAC_TARGET_VERSION_MIN)
+EXTRA_CFLAGS = $(EXTRA_FLAGS_MAC)
+EXTRA_LDFLAGS = $(EXTRA_FLAGS_MAC)
+MACOSX_DEPLOYMENT_TARGET = $MAC_TARGET_VERSION_MIN
+endif
+endif
+
+ifeq ($(shell uname -s),OS/2)		# compiling on OS/2
+PROGNAME = ../$(PROGBASE).exe
+EXTRA_LDFLAGS = -Zomf -Zbin-files -Zmap -lcx -Zhigh-mem
+endif
+
 
 # -----------------------------------------------------------------------------
 # configuring target
 # -----------------------------------------------------------------------------
 
-ifndef TARGET				# auto-detect compiling for SDL or SDL2
+ifndef TARGET				# auto-detect compiling for SDL2
   SDL_VERSION := $(shell sdl2-config --version 2> /dev/null)
   ifdef SDL_VERSION
     TARGET = sdl2
   else
-    SDL_VERSION := $(shell sdl-config --version 2> /dev/null)
-    ifdef SDL_VERSION
-      TARGET = sdl
-    else
-      $(error SDL/SDL2 library not found)
-    endif
+    $(error SDL2 library not found)
   endif
 endif
 
 # $(info Using SDL version $(SDL_VERSION) [TARGET == $(TARGET)])
 
-ifeq ($(TARGET),sdl)			# compiling for SDL target
-SYS_CFLAGS = -DTARGET_SDL $(shell sdl-config --cflags)
-SDL_LIBS = -lSDL_image -lSDL_mixer -lSDL_net
-SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl-config --libs)
-endif
-
 ifeq ($(TARGET),sdl2)			# compiling for SDL2 target
-SYS_CFLAGS = -DTARGET_SDL2 $(shell sdl2-config --cflags)
+ifeq ($(PLATFORM),emscripten)
+SDL_LIBS = -s USE_SDL_IMAGE=2 -s USE_SDL_MIXER=2 -s USE_SDL_NET=2 -s USE_MODPLUG=1 -s USE_MPG123=1 -s USE_ZLIB=1
+SDL_FMTS = -s SDL2_IMAGE_FORMATS='["bmp","png","pcx","xpm"]' -s SDL2_MIXER_FORMATS='["mod","mp3"]'
+EXTRA_CFLAGS = $(SDL_LIBS)
+EXTRA_LDFLAGS = $(SDL_FMTS) -s INITIAL_MEMORY=81920000 -s ALLOW_MEMORY_GROWTH=1 -s FORCE_FILESYSTEM -s NO_EXIT_RUNTIME=0 -s ASYNCIFY -O2 -lidbfs.js
+DATA_DIRS = conf docs levels graphics sounds music
+FILE_PACKAGER_ARGS = --preload $(DATA_DIRS) --js-output=$(DATA_FILE).js
+else
 SDL_LIBS = -lSDL2_image -lSDL2_mixer -lSDL2_net
-SYS_LDFLAGS = $(SDL_LIBS) $(shell sdl2-config --libs)
+endif
+
+SYS_CFLAGS := -DTARGET_SDL2 $(shell sdl2-config --cflags)
+SYS_LDFLAGS := $(SDL_LIBS) $(shell sdl2-config --libs) -lm -lz
 endif
 
 
@@ -91,36 +122,39 @@
 # configuring compile-time definitions
 # -----------------------------------------------------------------------------
 
-ifdef RO_GAME_DIR			# path to read-only game data specified
-CONFIG_RO_GAME_DIR = -DRO_GAME_DIR="\"$(RO_GAME_DIR)\""
-endif
-
-ifdef RW_GAME_DIR			# path to writable game data specified
-CONFIG_RW_GAME_DIR = -DRW_GAME_DIR="\"$(RW_GAME_DIR)\""
-endif
-
-CONFIG = $(CONFIG_RO_GAME_DIR) $(CONFIG_RW_GAME_DIR) $(JOYSTICK)
+ifdef BASE_PATH					# path to read-only game data
+CONFIG_BASE_PATH = -DBASE_PATH="\"$(BASE_PATH)\""
+endif
+
+CONFIG = $(CONFIG_BASE_PATH) $(JOYSTICK)
 
 DEBUG = -DDEBUG -g
 
-# PROFILING = $(PROFILING_FLAGS)
+# ANALYZE = $(PROFILING_FLAGS)
+# ANALYZE = $(SANITIZING_FLAGS)
 
 # OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
-# OPTIONS = $(DEBUG) -O3 -Wall			# only for debugging purposes
-OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
+# OPTIONS = $(DEBUG) -O2 -Wall			# only for debugging purposes
+# OPTIONS = $(DEBUG) -Wall			# only for debugging purposes
+OPTIONS = $(DEBUG) -Wall -Wstrict-prototypes -Wmissing-prototypes
+# OPTIONS = $(DEBUG) -Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes
 # OPTIONS = $(DEBUG) -Wall -ansi -pedantic	# only for debugging purposes
-# OPTIONS = -O3 -Wall -ansi -pedantic
-# OPTIONS = -O3 -Wall
-# OPTIONS = -O3
+# OPTIONS = -O2 -Wall -ansi -pedantic
+# OPTIONS = -O2 -Wall
+# OPTIONS = -O2
+
+ifdef BUILD_TEST			# test build
+OPTIONS := $(OPTIONS) -DTESTING
+endif
 
 ifdef BUILD_DIST			# distribution build
 SYS_LDFLAGS := $(shell echo $(SYS_LDFLAGS) |	\
 		       sed -e "s%-rpath,[^ ]*%-rpath,'\$$ORIGIN/lib'%")
-OPTIONS = -O3 -Wall
-endif
-
-CFLAGS = $(OPTIONS) $(SYS_CFLAGS)  $(EXTRA_CFLAGS) $(CONFIG)
-LDFLAGS =           $(SYS_LDFLAGS) $(EXTRA_LDFLAGS) -lm
+OPTIONS = -O2 -Wall
+endif
+
+CFLAGS = $(OPTIONS) $(ANALYZE) $(SYS_CFLAGS)  $(EXTRA_CFLAGS) $(CONFIG)
+LDFLAGS =           $(ANALYZE) $(SYS_LDFLAGS) $(EXTRA_LDFLAGS)
 
 
 SRCS =	main.c		\
@@ -138,6 +172,7 @@
 	files.c		\
 	tape.c		\
 	anim.c		\
+	api.c		\
 	network.c	\
 	netserv.c
 
@@ -156,6 +191,7 @@
 	files.o		\
 	tape.o		\
 	anim.o		\
+	api.o		\
 	network.o	\
 	netserv.o
 
@@ -168,6 +204,8 @@
 	conf_cus.h	\
 	conf_grp.c	\
 	conf_grp.h	\
+	conf_emp.c	\
+	conf_emp.h	\
 	conf_e2g.c	\
 	conf_esg.c	\
 	conf_e2s.c	\
@@ -188,6 +226,12 @@
 # get source date string from either GNU / Linux or BSD / Mac OS X style "date"
 SOURCE_DATE_STRING := $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)"  2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(TIMESTAMP_FORMAT)" 2>/dev/null || date -u "+$(TIMESTAMP_FORMAT)")
 
+COMMIT_HASH_FILE = confhash.h
+COMMIT_HASH_NONE = "[changed files]"
+
+# get last Git commit hash, if no files were changed
+SOURCE_HASH_STRING ?= $(shell test -d ../.git && test `git ls-files -m | wc -l` -eq 0 && git show -s --format=%h || echo "$(COMMIT_HASH_NONE)")
+
 LIBGAME_DIR = libgame
 LIBGAME = $(LIBGAME_DIR)/libgame.a
 
@@ -204,10 +248,10 @@
 AUTOCONF = conf_gfx.h conf_snd.h conf_mus.h
 
 ICONBASE = windows_icon
-ICON_BASEPATH = ../Special/Icons/windows_icons
-
-ifeq ($(PLATFORM),cross-win32)
-ICON_PATH = $(ICON_BASEPATH)/$(EDITION)
+ICON_BASEPATH = ../build-projects/windows/icons
+
+ifeq ($(PLATFORM_BASE),cross-win)
+ICON_PATH = $(ICON_BASEPATH)
 ICON = $(ICONBASE).o
 endif
 
@@ -220,10 +264,13 @@
 
 all: $(AUTOCONF) libgame_dir game_em_dir game_sp_dir game_mm_dir $(PROGNAME) graphics_dir
 
-$(PROGNAME): $(RNDLIBS) $(TIMESTAMP_FILE) $(OBJS) $(ICON)
-	$(CC) $(PROFILING) $(OBJS) $(ICON) $(RNDLIBS) $(LDFLAGS) -o $(PROGNAME)
+$(PROGNAME): $(RNDLIBS) $(TIMESTAMP_FILE) $(COMMIT_HASH_FILE) $(OBJS) $(ICON)
+	$(CC) $(OBJS) $(ICON) $(RNDLIBS) $(LDFLAGS) -o $(PROGNAME)
 ifdef BUILD_DIST
-	strip $(PROGNAME)
+	$(STRIP) $(PROGNAME)
+endif
+ifeq ($(PLATFORM),emscripten)
+	(cd .. ; $(FILE_PACKAGER) $(DATA_FILE) $(FILE_PACKAGER_ARGS))
 endif
 
 libgame_dir:
@@ -267,17 +314,28 @@
 conf_mus.h: conf_mus.c $(CNFS_CMD)
 	@$(MAKE) auto-conf
 
-$(TIMESTAMP_FILE): $(SRCS) $(RNDLIBS)
+conf-time:
 	@echo '#define SOURCE_DATE_STRING "$(SOURCE_DATE_STRING)"' \
 	> $(TIMESTAMP_FILE)
 
+conf-hash:
+	@echo '#define SOURCE_HASH_STRING "$(SOURCE_HASH_STRING)"' \
+	> $(COMMIT_HASH_FILE)
+
+config.o: config.c $(TIMESTAMP_FILE)
+
+$(TIMESTAMP_FILE): $(SRCS) $(RNDLIBS)
+	@$(MAKE) conf-time
+
+$(COMMIT_HASH_FILE): $(SRCS) $(RNDLIBS)
+	@$(MAKE) conf-hash
+
 $(ICON):
-#	$(CONVERT) $(ICON32X32) $(CONVERT_ICON_ARGS) $(ICONBASE).ico
 	$(CONVERT) $(ICON_PATH)/*.png $(CONVERT_ICON_ARGS) $(ICONBASE).ico
 	echo "$(ICONBASE) ICON $(ICONBASE).ico" | $(WINDRES) -o $(ICON)
 
 .c.o:
-	$(CC) $(PROFILING) $(CFLAGS) -c $*.c
+	$(CC) $(CFLAGS) -c $*.c
 
 graphics_dir:
 	@test -f $(GRAPHICS_DIR)/Makefile && $(MAKE) -C $(GRAPHICS_DIR) || true
@@ -296,7 +354,10 @@
 
 clean-bin:
 	$(RM) $(PROGNAME)
-	$(RM) ../*.exe
+	$(RM) $(PROGNAME).exe
+	$(RM) $(PROGNAME).js
+	$(RM) $(PROGNAME).wasm
+	$(RM) $(PROGNAME).data
 
 clean: clean-obj clean-ico clean-bin
 
@@ -314,7 +375,7 @@
 	cd .. && ./$(PROGBASE) --verbose
 
 gdb:
-	cd .. && gdb -batch -x GDB_COMMANDS ./$(PROGBASE)
+	cd .. && $(DEBUGGER) $(PROGBASE)
 
 valgrind:
 	cd .. && valgrind -v --leak-check=yes ./$(PROGBASE) 2> valgrind.out

=== build-projects/android/Makefile ===
# =============================================================================
# Rocks'n'Diamonds for Android
# -----------------------------------------------------------------------------
# (c) 1995-2020 by Artsoft Entertainment
#                  Holger Schemel
#                  info@artsoft.org
#                  https://www.artsoft.org/
# -----------------------------------------------------------------------------
# build-projects/android/Makefile
# =============================================================================

PROGBASE = rocksndiamonds

AUTO_GENERATED_BUILD_DIRS = .gradle app/.externalNativeBuild app/build
AUTO_GENERATED_OTHER_DIRS = app/jni/SDL2* app/src/main/assets .prepared

export ANDROID_HOME := $(HOME)/projects/Android/SDK


all: package

sdl:
	./build-scripts/create_sdl.sh

manifest:
	./build-scripts/create_manifest.sh

assets:
	./build-scripts/create_assets.sh

assets-toc:
	./build-scripts/create_asset_tocs.sh app/src/main/assets

.prepared: sdl manifest assets assets-toc
	make -C ../.. auto-conf conf-time conf-hash

prepare: .prepared

package: prepare
	./gradlew assembleDebug

clean-build:
	./gradlew clean

clean-auto-generated:
	rm -rf $(AUTO_GENERATED_BUILD_DIRS) $(AUTO_GENERATED_OTHER_DIRS)

clean: clean-build

dist-clean: clean-build clean-auto-generated

=== debian/changelog ===
mirrormagic (3.3.0+dfsg1-3) unstable; urgency=medium

  * debian patch preserve_conffiles.patch blocks build-time updates to
    confhash.h and conftime.h. These source alterations do not
    improve the debian package, and they just upset dpkg-buildpackage.
    Let them declare the upstream release point not the debian build
    point. Closes: #1045230.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2024 01:21:14 +0100

mirrormagic (3.3.0+dfsg1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + mirrormagic-data: Drop conflict with removed package mirrormagic (<<
      2.0.2-4) in Conflicts.

  [ Drew Parsons ]
  * debian/control: set Rules-Requires-Root: binary-targets
    for chown root:games.
    Closes: #1089389.
  * after dh_clean, remove the mirrormagic binary left in the source dir

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2024 00:47:52 +0100

mirrormagic (3.3.0+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Jul 2023 10:44:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
  libsdl2-image-dev,
  libsdl2-mixer-dev,
  libsdl2-net-dev
-Standards-Version: 4.5.0
+Rules-Requires-Root: binary-targets
+Standards-Version: 4.7.0
 Homepage: http://www.artsoft.org/mirrormagic/
 Vcs-Git: https://salsa.debian.org/games-team/mirrormagic.git
 Vcs-Browser: https://salsa.debian.org/games-team/mirrormagic
@@ -33,7 +34,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Conflicts: suidmanager (<< 0.50), mirrormagic (<< 2.0.2-4)
+Conflicts: suidmanager (<< 0.50)
 Description: Data files for mirrormagic
  This package provides the architecture-independent data files (images,
  levels, sound samples) for mirrormagic.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 # main packaging script based on dh7 syntax
 %:
 	dh $@ 
+
+execute_after_dh_clean:
+	rm -f mirrormagic
 
 # src/Makefile sets PROGBASE=rocksndiamonds, yet builds with the mirrormagic skin!
 override_dh_auto_build:

## mirrormagic 3.3.1+dfsg1

=== debian/changelog ===
mirrormagic (3.3.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 23 Apr 2025 18:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libsdl2-mixer-dev,
  libsdl2-net-dev
 Rules-Requires-Root: binary-targets
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://www.artsoft.org/mirrormagic/
 Vcs-Git: https://salsa.debian.org/games-team/mirrormagic.git
 Vcs-Browser: https://salsa.debian.org/games-team/mirrormagic

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
http://www.artsoft.org/RELEASES/unix/mirrormagic/mirrormagic-(.*)-linux\.tar\.gz
